package cn.net.caoyao.cpzshandset.db.presenter;

import java.util.List;

import android.database.Cursor;
import cn.net.caoyao.cpzshandset.bean.TruckAddressBean;

public interface TruckAddressDal {
	/**
	 * 插入本地生成的详细地址信息
	 * @param consigeeBean
	 */
	void insertNativeTruckAddress(TruckAddressBean addressBean);
	/**
	 * 插入服务器获取的详细地址信息
	 * @param consigeeBean
	 */
	void insertOnlineTruckAddress(TruckAddressBean addressBean);
	/**
	 * 插入详细地址信息列表
	 * @param consigeeBeans
	 */
	void insertTruckAddressList(List<TruckAddressBean> addressBean);
	/**
	 * 删除所有的汽车详细地址信息
	 */
	void deleteAllTruckTruckAddress();
	/**
	 * 查询所有的汽车详细地址信息
	 * @return
	 */
	List<TruckAddressBean> queryAllTruckTruckAddress();
	/**
	 * 根据城市的Code码 查询所有的汽车详细地址信息
	 * @return
	 */
	List<TruckAddressBean> queryTruckAddressByCityCode(int cityCode);
	/**
	 * 通过条件查询详细地址信息
	 * @param conditionStr
	 * @return
	 */
	List<TruckAddressBean> searchTruckAddressByCondition(int cityCode,String conditionStr);
	/**
	 * 根据城市的Code码 查询所有的汽车详细地址信息
	 * @param cityCode
	 * @return
	 */
	List<String> queryTruckAddressNameByCityCode(int cityCode);
	/**
	 * 通过条件查询详细地址信息
	 * @param conditionStr
	 * @return
	 */
	List<String> searchTruckAddressNameByCondition(int cityCode,String conditionStr);
	TruckAddressBean getTruckAddress(Cursor c);

}
